matrix:
  platform:
    - debian13
    - macos_arm64
    - ubuntu2204
    - ubuntu2404
    # - windows
  bazel: [8.x, 9.x, rolling]
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
      - '@zenoh-c//:zenoh-c'
bcr_test_module:
  module_path: tests
  matrix:
    linux_platform:
      - debian13
      - ubuntu2204
      - ubuntu2404
    osx_platform:
      - macos_arm64
    # windows_platform:
    #   - windows
    bazel: [8.x, 9.x, rolling]
  tasks:
    run_linux_test_module:
      name: Run linux test module
      platform: ${{ linux_platform }}
      bazel: ${{ bazel }}
      shell_commands:
        - sudo apt update && sudo apt install -y valgrind
      build_targets:
        - //...
      test_targets:
        - //...
    run_osx_test_module:
      name: Run osx test module
      platform: ${{ osx_platform }}
      bazel: ${{ bazel }}
      build_targets:
        - //...
      test_targets:
        - //...
        - -//:z_leak_pub_sub_test
        - -//:z_leak_queryable_get_test
